Package com.castlabs.sdk.debug.view

## Class DownloadsFragment

- java.lang.Object
- - androidx.fragment.app.Fragment
  - - com.castlabs.sdk.debug.view.AbstractSingleListFragment<com.castlabs.sdk.debug.view.DownloadsFragment.Download>
    - - com.castlabs.sdk.debug.view.DownloadsFragment

- All Implemented Interfaces:
    `ComponentCallbacks`, `View.OnCreateContextMenuListener`, `androidx.lifecycle.LifecycleOwner`, `androidx.lifecycle.ViewModelStoreOwner`, `ExtendedPlayerViewProvider.Listener`

      public class DownloadsFragment
      extends AbstractSingleListFragment<com.castlabs.sdk.debug.view.DownloadsFragment.Download>

  Fragment that show a list of downloads triggered by a player. Completed or canceled downloads are added to the data list. The list auto-scrolls to make the latest item visible if at the top of the list.

  Note that activities using this Fragment must implement `ExtendedPlayerViewProvider`.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class androidx.fragment.app.Fragment

      `androidx.fragment.app.Fragment.InstantiationException, androidx.fragment.app.Fragment.SavedState`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DownloadsFragment()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `onStart()` |
    `void` | `onStop()` |

    - ### Methods inherited from class com.castlabs.sdk.debug.view.AbstractSingleListFragment

      `onCreateView, onReload`

    - ### Methods inherited from class androidx.fragment.app.Fragment

      `dump, equals, getActivity, getAllowEnterTransitionOverlap, getAllowReturnTransitionOverlap, getArguments, getChildFragmentManager, getContext, getEnterTransition, getExitTransition, getFragmentManager, getHost, getId, getLayoutInflater, getLayoutInflater, getLifecycle, getLoaderManager, getParentFragment, getReenterTransition, getResources, getRetainInstance, getReturnTransition, getSharedElementEnterTransition, getSharedElementReturnTransition, getString, getString, getTag, getTargetFragment, getTargetRequestCode, getText, getUserVisibleHint, getView, getViewLifecycleOwner, getViewLifecycleOwnerLiveData, getViewModelStore, hashCode, hasOptionsMenu, instantiate, instantiate, isAdded, isDetached, isHidden, isInLayout, isMenuVisible, isRemoving, isResumed, isStateSaved, isVisible, onActivityCreated, onActivityResult, onAttach, onAttach, onAttachFragment, onConfigurationChanged, onContextItemSelected, onCreate, onCreateAnimation, onCreateAnimator, onCreateContextMenu, onCreateOptionsMenu, onDestroy, onDestroyOptionsMenu, onDestroyView, onDetach, onGetLayoutInflater, onHiddenChanged, onInflate, onInflate, onLowMemory, onMultiWindowModeChanged, onOptionsItemSelected, onOptionsMenuClosed, onPause, onPictureInPictureModeChanged, onPrepareOptionsMenu, onRequestPermissionsResult, onResume, onSaveInstanceState, onViewCreated, onViewStateRestored, postponeEnterTransition, registerForContextMenu, requestPermissions, requireActivity, requireContext, requireFragmentManager, requireHost, setAllowEnterTransitionOverlap, setAllowReturnTransitionOverlap, setArguments, setEnterSharedElementCallback, setEnterTransition, setExitSharedElementCallback, setExitTransition, setHasOptionsMenu, setInitialSavedState, setMenuVisibility, setReenterTransition, setRetainInstance, setReturnTransition, setSharedElementEnterTransition, setSharedElementReturnTransition, setTargetFragment, setUserVisibleHint, shouldShowRequestPermissionRationale, startActivity, startActivity, startActivityForResult, startActivityForResult, startIntentSenderForResult, startPostponedEnterTransition, toString, unregisterForContextMenu`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DownloadsFragment

          public DownloadsFragment()

  - ### Method Detail

    - #### onStart

          public void onStart()

      Overrides:
        `onStart` in class `AbstractSingleListFragment<com.castlabs.sdk.debug.view.DownloadsFragment.Download>`

    - #### onStop

          public void onStop()

      Overrides:
        `onStop` in class `androidx.fragment.app.Fragment`